@echo off

if exist mc.obj del mc.obj
if exist mc.exe del mc.exe

: -------------------------------
: if resources exist, build them
: -------------------------------
rem if not exist rsrc.rc goto over1
\masm32\BIN\Rc.exe /v rsrc.rc
\masm32\BIN\Cvtres.exe /machine:ix86 rsrc.res
:over1
: -----------------------------------------
: assemble mc.asm into an OBJ file
: -----------------------------------------
\MASM32\BIN\Ml.exe /c /coff mc.asm
if errorlevel 1 goto errasm

: -----------------------
: link the main OBJ file
: -----------------------
\MASM32\BIN\PoLink.exe /SUBSYSTEM:WINDOWS mc.obj rsrc.obj
if errorlevel 1 goto errlink
dir mc.*
goto TheEnd

:errlink
: ----------------------------------------------------
: display message if there is an error during linking
: ----------------------------------------------------
echo.
echo There has been an error while linking this project.
echo.
goto TheEnd

:errasm
: -----------------------------------------------------
: display message if there is an error during assembly
: -----------------------------------------------------
echo.
echo There has been an error while assembling this project.
echo.
goto TheEnd

:TheEnd

pause
